Error while upgrading sensu puppet module: Invalid parameter prefetch on sensu_rabbitmq_config

asked 2016-05-19 13:56:06 -0600

I'm trying to upgrade the sensu-puppet module and im getting an error when i run puppet now: the error is:

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Invalid parameter prefetch on Sensurabbitmqconfig[<(hostname is here, removed for this post on ask puppet)>] at /etc/puppet/environments/staging/modules/sensu/manifests/rabbitmq/config.pp:123 Warning: Not using cache on failed catalog Error: Could not retrieve catalog; skipping run

I have no idea what's going wrong or how to fix it. I looked in the pathway at the rabbitmq config and found this:

prefetch => $sensu::rabbitmq_prefetch

But I'm not sure what the issue is. Anyone know what might be causing this?

Thanks!

edit retag flag offensive close merge delete